%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate simplelog

Name:           rust-simplelog
Version:        0.12.2
Release:    1%{?dist}
Summary:        Simple and easy-to-use logging facility for Rust's log crate

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/simplelog
Source0:         %{crates_source}
Patch:          simplelog-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A simple and easy-to-use logging facility for Rust's log crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.APACHE2
%license %{crate_instdir}/LICENSE.MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi_term-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi_term-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi_term" feature of the "%{crate}" crate.

%files       -n %{name}+ansi_term-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-offset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-offset-devel %{_description}

This package contains library source intended for building other packages which
use the "local-offset" feature of the "%{crate}" crate.

%files       -n %{name}+local-offset-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+paris-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+paris-devel %{_description}

This package contains library source intended for building other packages which
use the "paris" feature of the "%{crate}" crate.

%files       -n %{name}+paris-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termcolor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termcolor-devel %{_description}

This package contains library source intended for building other packages which
use the "termcolor" feature of the "%{crate}" crate.

%files       -n %{name}+termcolor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-devel %{_description}

This package contains library source intended for building other packages which
use the "test" feature of the "%{crate}" crate.

%files       -n %{name}+test-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.2-1
- initial build
